DCMTK: DVPSGraphicObject_PList Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | Private Attributes | List of all members
DVPSGraphicObject_PList Class Reference

the list of graphic objects contained in a presentation state (internal use only). More...

## Public Member Functions
| DVPSGraphicObject_PList ()
| default constructor
| DVPSGraphicObject_PList (const DVPSGraphicObject_PList &copy)
| copy constructor
DVPSGraphicObject_PList * | clone ()
| clone method.
virtual | ~DVPSGraphicObject_PList ()
| destructor
OFCondition | read (DcmItem &dset)
| reads a list of graphic objects from a DICOM dataset.
OFCondition | write (DcmItem &dset)
| writes the list of graphic objects managed by this object to a DICOM dataset.
void | clear ()
| reset the object to initial state.
size_t | size () const
| get number of graphic objects in this list.
DVPSGraphicObject * | getGraphicObject (size_t idx)
| returns a pointer to the graphic object with the given index or NULL if it does not exist.
void | addGraphicObject (DVPSGraphicObject *graphic)
| adds the given graphic object to the list of graphic objects managed by this object.
DVPSGraphicObject * | removeGraphicObject (size_t idx)
| returns a pointer to the graphic object with the given index (or NULL if it does not exist) and removes it from the list.

## Private Member Functions
DVPSGraphicObject_PList & | operator= (const DVPSGraphicObject_PList &)
| private undefined assignment operator

## Private Attributes
OFList< DVPSGraphicObject * > | list_
| the list maintained by this object

## Detailed Description

the list of graphic objects contained in a presentation state (internal use only).

This class manages the data structures comprising one complete Graphic Object Sequence which is contained in one item of the Graphic Annotation Sequence in a Presentation State object.

## Member Function Documentation

## ◆ addGraphicObject()

void DVPSGraphicObject_PList::addGraphicObject | ( | DVPSGraphicObject * | graphic | ) |

adds the given graphic object to the list of graphic objects managed by this object.

Parameters

  graphic | text graphic object to be inserted.

## ◆ clear()

void DVPSGraphicObject_PList::clear | ( |  | ) |

reset the object to initial state.

After this call, the object is in the same state as after creation with the default constructor.

## ◆ clone()

DVPSGraphicObject_PList * DVPSGraphicObject_PList::clone | ( |  | ) |
| inline

clone method.

Returns
  a pointer to a new DVPSGraphicObject_PList object containing a deep copy of this object.

References DVPSGraphicObject_PList().

## ◆ getGraphicObject()

DVPSGraphicObject * DVPSGraphicObject_PList::getGraphicObject | ( | size_t | idx | ) |

returns a pointer to the graphic object with the given index or NULL if it does not exist.

Parameters

  idx | index, must be < size()

Returns
  pointer to graphic object or NULL

## ◆ read()

OFCondition DVPSGraphicObject_PList::read | ( | DcmItem & | dset | ) |

reads a list of graphic objects from a DICOM dataset.

The DICOM elements of the Graphic Object Sequence are copied from the dataset to this object. The completeness of the item (presence of all required elements, value multiplicity) is checked. If this method returns an error code, the object is in undefined state afterwards.

Parameters

  dset | the dataset from which the GraphicObjectSequence is to be read

Returns
  EC_Normal if successful, an error code otherwise.

## ◆ removeGraphicObject()

DVPSGraphicObject * DVPSGraphicObject_PList::removeGraphicObject | ( | size_t | idx | ) |

returns a pointer to the graphic object with the given index (or NULL if it does not exist) and removes it from the list.

Parameters

  idx | index, must be < size()

Returns
  pointer to graphic object or NULL

## ◆ size()

size_t DVPSGraphicObject_PList::size | ( |  | ) | const
| inline

get number of graphic objects in this list.

Returns
  the number of graphic objects.

References list_.

## ◆ write()

OFCondition DVPSGraphicObject_PList::write | ( | DcmItem & | dset | ) |

writes the list of graphic objects managed by this object to a DICOM dataset.

Copies of the DICOM elements managed by this object are inserted into the DICOM dataset.

Parameters

  dset | the dataset to which the GraphicObjectSequence is written

Returns
  EC_Normal if successful, an error code otherwise.

The documentation for this class was generated from the following file:

- dcmpstat/include/dcmtk/dcmpstat/dvpsgrl.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2